Summary:        Miscellaneous path functions
Name:           python-jaraco-path
Version:        3.3.1
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.path
Source0:        %{url}/archive/v%{version}/jaraco.path-%{version}.tar.gz

Patch3000:      https://github.com/jaraco/jaraco.path/pull/1.patch

BuildRequires:  python3-devel pyproject-rpm-macros pytest
BuildArch:      noarch

%description
jaraco.path provides cross platform hidden file detection

%package -n     python3-jaraco-path
Summary:        Miscellaneous path functions
Requires:       python3-jaraco

%description -n python3-jaraco-path
jaraco.path provides cross platform hidden file detection

%prep
%autosetup -p1 -n jaraco.path-%{version}

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -r

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jaraco

%check
%pytest

%files -n python3-jaraco-path -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 3.3.1-1
- initial build
